@import url('https://fonts.googleapis.com/css2?family=League+Gothic&family=Outfit:wght@100..900&family=Ropa+Sans:ital@0;1&display=swap');

/* override c7 styles */
body {
	--c7-field-border-radius: 0px; 
	--c7-button-border-radius: 0px; 
	--c7-primary-button-bg: #C1262C;
	--c7-primary-button-bg-hover:#000;
	--c7-primary-button-text-color: #fff;
	--c7-heading-font-family: 'font-1', sans-serif;
	--c7-heading-font-weight: 400;
	--c7-font-family: "Ropa Sans", sans-serif;
	--c7-body-text-color: #000;
	--c7-link-color:#000;
	--c7-field-option-selected-color: #C1262C;
}

/* account header */
#account-header {
	display: inline-flex;
	width: 100%;
	justify-content: end;
	position: relative;	
	z-index: 10000;
}

/* Squarespace */
/* in staging mode 
#account-header {
display: inline-flex;
width: 100%;
justify-content: end;
} */
/* position absolute option
#account-header {
display: inline-flex;
position: absolute;
top: 10px;
right: 10px;
z-index: 999;
}
*/

#account-header #c7-account {
	padding-right: 10px;
	display:inline-block;
}
#account-header #c7-cart .c7-user-nav__cart {
	display:flex;
}
#account-header > #c7-cart {
	display:inline-flex;
	font-family: "Ropa Sans", sans-serif;
}
#c7-account, #c7-cart {
	display:inline-block;
	margin-left: 5px;

}
#c7-account .c7-user-nav__account a {
	color:#fff;
	text-transform: uppercase;
	padding:0px;
	border: none;
	font-family: var(--c7-heading-font-family);
	letter-spacing: .15rem;
	font-size: 1.2em;
	position: relative;
	top: 2px;
}
#c7-account .c7-user-nav__account__dropdown a,
#c7-account .c7-user-nav__account__dropdown .c7-user-nav__account__dropdown__header a span {
	color: var(--c7-body-text-color);
	font-family: var(--c7-font-family);	
	text-transform: capitalize;
}
#c7-account .c7-user-nav__account__dropdown .c7-user-nav__account__dropdown__header a {
	font-family: var(--c7-heading-font-family);	
	text-transform: uppercase;
}
#c7-cart .c7-user-nav__cart .c7-link:first-child {
	background-color: transparent;
	border:none;
} 
body .c7-user-nav__account__dropdown__logout {
	display: flex;
	justify-content: space-between;
	align-items: center;
}

body .c7-reservation-widget .c7-date-picker-dropdown button {
	padding: 0px;
}
#c7-cart .c7-user-nav__cart .c7-user-nav__cart__title svg {
	stroke:#fff;
}
#c7-cart .c7-user-nav__cart__count {
	background-color: #000;
}
#c7-cart .c7-user-nav__cart button.c7-link {
	padding: 0px !important;
}
#c7-cart .c7-order-item__description {
	margin-top: 10px;
	font-size: 10px;
}
/* Overall styling */

/* button styles */
body .c7-btn {
	background: #C1262C;
	color: #fff!important;
	text-transform: uppercase!important;
	font-family: var(--c7-heading-font-family);
	letter-spacing: .15em;
	text-decoration: none!important;
}

body .c7-btn:hover, body .c7-cart__buttons .c7-btn:hover {
	color: #fff;
	background: #000!important;
}


/* slide out cart */
body .c7-side-cart__header button {
	background-color: transparent;
	color:#000;
}
body .c7-order-item__title a {
	color: #C1262C;
}

/* shrink checkout buttons */
body .c7-order-summary__buttons a {

	/*font-size: 12px;*/
}


/* make link buttons look like links */
body button.c7-link {
	background-color:transparent;
	border: 0px;
	color: var(--c7-body-text-color);
}
body button.c7-link:hover {
	opacity: 0.6;
}

/* global */
body:not(.page-template-blank-checkout-template) #c7-content {
	position: relative;
	z-index: 10000;
	max-width: 1300px;
	padding: 0 12px;
	margin: 60px auto;
}

body #header {
	transform: unset;
	z-index: 100000;
}

body h1.c7-h1, 
body .c7-account__header p:first-of-type {
	text-align: center;
	text-transform: uppercase !important;
	color: #C1262C;
}

body .c7-form,
body .c7-order-summary div,
body .c7-order-item__description {
	font-family: var(--c7-font-family);
}

body .c7-club__details__content ul li,
body .c7-carrot__message ul li,
body .c7-order-items--cart .c7-order-item__price, 
body .c7-order-items--cart .c7-order-item__total {
	font-family: var(--c7-font-family);
	margin-left: 16px;
	margin-right: 0;
}

body .c7-form input[type="text"], 
body .c7-form input[type="email"], 
body .c7-form input[type="number"], 
body .c7-form input[type="tel"], 
body .c7-form input[type="username"], 
body .c7-form input[type="password"], 
body .c7-form textarea, 
body .c7-form--stripe, 
body .c7-order-item input, 
body .c7-form select, 
body .c7-order-item select {
	margin-bottom: 0;
	font-family: var(--c7-font-family);
}

/* dashboard tweaks */
.c7-account__dashboard__message {
	margin-bottom: 20px;
}
.c7-account-row {
	max-width: 100% !important;
	justify-content: space-between !important;
}
body .c7-account-login__password-options {

}
body .c7-account-login__options {

}

body .c7-account-block__title {
	color: #C1262C;
	font-family: var(--c7-heading-font-family);
	text-transform: uppercase;
	letter-spacing: .15em;
}

body .c7-account__menu a {
	color: var(--c7-body-text-color) !important;
	text-decoration: none !important;
	font-family: var(--c7-font-family);
}

body .c7-account__menu .c7-active a {
	border-bottom-color: #C1262C;
}

body .c7-account__menu a:hover, 
body .c7-account__menu a:focus, 
body .c7-account__menu a:active {
	border-bottom-color: #C1262C;
}

/* cart styling */
.cart-row h1 {
	display:none;
}
.c7-cart__wrapper, .c7-account__dashboard {
	max-width: 100% !important;
	margin:0px auto !important;
	justify-content: space-between !important;
}

body .c7-order-item__title a {
	text-decoration: none !important;
	font-size: 22px;
	font-family: 'font-1', sans-serif;
}

/* fix lightboxes that go behind sticky header */
/* body .c7-modal-container {
top: 14%;
} */



/* hide club cancelation 
.c7-account-club .c7-account-blocks--status .c7-account-block__actions {
display:none !important;
}
.c7-callout--club .c7-callout__details li:nth-child(2), .c7-callout--club .c7-callout__details li:nth-child(3) {
display:none !important;
}*/

/* hide club skip
.c7-account-club__shipment__footer .c7-btn--skip {
display:none !important;
}*/


/* hide delete account 
.c7-account-details .c7-account-details__delete-account {
display:none !important;
}*/

/* hide reservations 
.c7-account__menu li:nth-child(4) {
display:none;
}
.c7-account-dashboard__left-column .c7-account-block:nth-child(3) {
display:none;
}
.c7-user-nav__account__dropdown__header ul li:nth-child(4) {
display:none;
}
*/

/* collection styling */
.page-id-552 .wrap-full,
.page-id-560 .wrap-full,
.page-id-562 .wrap-full,
.page-id-564 .wrap-full {
	background-image: unset;
}

.c7-product-collection .c7-product {
	display:block !important;
	text-align: center !important;
}
.c7-product-collection__product-list {
	grid-template-columns: 1fr 1fr 1fr !important;
}
.c7-product-collection .c7-product img {
	width: auto;
	object-fit:cover;
}
/* fix default right margin on image grid */
.c7-product-collection .c7-product__image {
	margin-right: 0px;
}
.c7-product-collection .c7-product .c7-product__add-to-cart__form {
	justify-content: center !important;
	align-items: center !important;
}
body .c7-product__title a {
	color: #C1262C;
	text-decoration: none;
	font-size: 28px;
}
#collection-container {
	position: relative;
	z-index: 10000;
	max-width: 1400px;
	padding: 0 12px;
	margin: 60px auto;
	display: flex;
	flex-wrap: wrap;
	gap: 20px;
}
body #collection-container #c7-content {
	position: unset;
	z-index: unset;
	max-width: unset;
	padding: unset;
	margin: unset;
	width: calc(100% - 270px);
}

body #collection-container #c7-content .c7-product-collection__product-list .c7-product a {
	white-space: wrap;
}

body #collection-container #c7-collection-list {
	width: 250px;
}

body #collection-container #c7-collection-list a {
	font-family: "Ropa Sans", sans-serif;
	text-decoration: none;
}

.c7-user-nav__collection-list ul li:not(.c7-user-nav__collection-list__core-ciders, .c7-user-nav__collection-list__farmhouse-series, .c7-user-nav__collection-list__seasonal-ciders) {
	display: none;
}

/* calendar styling ADA fix */
.c7-reservation-widget .c7-date-picker-input button {
	background-color: transparent !important;
	border-radius: 0px !important;
}
.c7-reservation-widget .c7-date-picker-dropdown button {
	color:inherit;
	background-color: inherit;
}

/* reservation */
body.page-id-561 #c7-content {
	margin-top: 0;
}

body.page-id-561 .c7-h1 {
	margin-top: 100px;
}

body.page-id-561 #c7-content .c7-reservations {
	padding-top: 0;
}

.c7-date-picker-toggle {
	top: 0;
}

/* checkout */
body .c7-breadcrumbs,
body #c7-checkout-summary * {
	font-family: var(--c7-font-family);
}

body #c7-checkout-summary .c7-btn span {
	font-family: var(--c7-heading-font-family);
}

body #c7-checkout-summary .c7-order-item__title {
	color: #C1262C;
	font-family: var(--c7-heading-font-family);
	letter-spacing: .05em;
	font-size: 22px;
}

body .c7-checkout__footer a {
	color: #C1262C;
	font-family: var(--c7-font-family);
}

/* club */
.page-id-563 .entry-content {
	max-width: 1300px;
	padding: 0 12px;
	margin: 0 auto;
}

.page-id-563 h2.wp-block-heading {
	font-size: 26px;
	line-height: 1;
}

.page-id-563 .entry-content ul.wp-block-list li {
	font-family: "Ropa Sans", sans-serif;
	margin-left: 16px;
	margin-right: 0;
}

.page-id-563 #c7-content {
	padding: 0!important;
}

.page-id-563 .c7-h1 {
	display: none;
}

.page-id-563 .c7-club {
	margin: 20px 0 60px;
}

/* mobile overrides */
@media only screen and (min-width: 1030px) {
	.header .login.desktop {
		z-index: 10000;
	}
}

@media screen and (max-width: 1024px){
	/* two column on tablet */ 
	.c7-product-collection__product-list {
		grid-template-columns: 1fr 1fr !important;
	} 
}

@media screen and (max-width: 767px){

	/* mobile header position */
	#account-header {
		top: 0px;
	}

	/* one column on mobile */
	.c7-product-collection__product-list {
		grid-template-columns: 1fr !important;
	} 

	.c7-product-specs {
		text-align: left !important;
		margin: 0px !important;
	}
	.c7-product-specs h2 {
		text-align: left !important;
	}

	body #collection-container #c7-content {
		width: 100%;
	}

	body #collection-container #c7-collection-list {
		width: 100%;
		text-align: center;
	}
	
	body #collection-container #c7-collection-list ul li {
		list-style: none;
	}
}